Public Class dSAPT_PuestoBusinessObject
    Inherits BusinessObject(Of dSAPT_Puesto)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New dSAPT_PuestoDbHelper
    End Sub

    Public Sub New(ByVal entity As dSAPT_Puesto)
        MyBase.New(entity)
        DbHelper = New dSAPT_PuestoDbHelper
    End Sub

    Public Sub New(ByVal COD_INSPTO As String, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.COD_INSPTO = COD_INSPTO
        Dim Entity_Aux As dSAPT_Puesto = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As dSAPT_PuestoBusinessObject
    Protected Shared Function GetDdHelperInstance() As dSAPT_PuestoDbHelper
        If _Instance Is Nothing Then
            _Instance = New dSAPT_PuestoBusinessObject
        End If
    Return CType(_Instance.DbHelper, dSAPT_PuestoDbHelper)
    End Function

    Public Shared Function GetListdSAPT_Puesto(Optional ByVal foreignLevel As Integer=0) As EntityList(Of dSAPT_Puesto)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
